<?php
/**
* This file is called to update Subscription Status
* from another sub-system
*
* @package Officialauspostshippingmethod
*
* @link https://joovii.com
*
* PHP version 7.2.1
*/

function jooviiauspost_subscribe_success()
{
	$action = isset($_GET['action']) ? sanitize_text_field(wp_unslash($_GET['action'])) : '';

	if ('subscription-success' == $action) {
		
		$product = isset($_GET['product']) ? sanitize_text_field(wp_unslash($_GET['product'])) : '';
		$expiry = isset($_GET['expiry']) ? sanitize_text_field(wp_unslash($_GET['expiry'])) : '';
		
		if( $expiry != '' && $product == 'auspost-wp')
		{
			$st = maybe_unserialize(get_option('woocommerce_jooviiauspost_settings'));
			if (is_array($st) && count($st)) {
				$st['subscribed']=1;
				$st['subscription_expires']=$expiry;
				update_option('woocommerce_jooviiauspost_settings', $st);
				return wp_json_encode(['err' => 0, 'msg' => "Subscription Status Updated"]);
			}
			else 
			{
				return wp_json_encode(['err' => 1, 'msg' => "Error 2 : Error Occurred"]);
			}
		}
		else 
		{
			return wp_json_encode(['err' => 1, 'msg' => "Error 1 : Error Occurred"]);
		}
	}
	else 
	{
		return wp_json_encode(['err' => 1, 'msg' => "Action is WRONG"]);
	}
}
